gtkmm 3.22.1

Public Types | Public Member Functions | List of all members
Gtk::ChildPropertyProxy_ReadOnly< T > Class Template Reference

See ChildPropertyProxy(). More...

`#include <gtkmm/childpropertyproxy.h>`

Inheritance diagram for Gtk::ChildPropertyProxy_ReadOnly< T >:
[legend]

## Public Types
typedef T | PropertyType

## Public Member Functions
| ChildPropertyProxy_ReadOnly (const Gtk::Container* parent, const Gtk::Widget& child, const char* property_name)
PropertyType | get_value () const
| Get the value of this property in child. More...
| operator PropertyType () const
Public Member Functions inherited from Gtk::ChildPropertyProxy_Base
| ChildPropertyProxy_Base (Container* parent, Widget& child, const char* property_name)
| ChildPropertyProxy_Base (const ChildPropertyProxy_Base& other)
SignalProxyChildProperty | signal_changed ()
Container* | get_parent () const
Widget& | get_child () const
const char* | get_name () const

## Additional Inherited Members
Protected Member Functions inherited from Gtk::ChildPropertyProxy_Base
void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()
Protected Attributes inherited from Gtk::ChildPropertyProxy_Base
Container* | parent_
Widget& | child_
const char* | property_name_

## Detailed Description

### template<class T>
class Gtk::ChildPropertyProxy_ReadOnly< T >

See ChildPropertyProxy().

This property can be read, but not written, so there is no set_value() method.

## Member Typedef Documentation

## ◆ PropertyType

template <class T >

typedef T Gtk::ChildPropertyProxy_ReadOnly< T >::PropertyType

## Constructor & Destructor Documentation

## ◆ ChildPropertyProxy_ReadOnly()

template <class T >

Gtk::ChildPropertyProxy_ReadOnly< T >::ChildPropertyProxy_ReadOnly | ( | const Gtk::Container* | parent,
|  | const Gtk::Widget& | child,
|  | const char * | property_name
| ) |  |
| inline

## Member Function Documentation

## ◆ get_value()

template <class T >

PropertyType Gtk::ChildPropertyProxy_ReadOnly< T >::get_value | ( |  | ) | const

Get the value of this property in child.

Returns
  The current value of the property.

## ◆ operator PropertyType()

template <class T >

Gtk::ChildPropertyProxy_ReadOnly< T >::operator PropertyType | ( |  | ) | const
| inline